For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
LoginTalk to us
DocumentationSDKsConnectAPI Reference
DocumentationSDKsConnectAPI Reference
  • API Reference
      • GETGet user profile
      • POSTCreate user profile
      • PUTUpdate user profile
      • PATCHMerge user profiles
      • PATCHAdd/Update channel data
      • POSTDelete channel data
      • POSTDelete user profile
LogoLogo
LoginTalk to us
API ReferenceUser Profiles

Delete channel data

POST
https://api.fyno.io/v1/:WSID/:version/profiles/:distinct_id/channel/delete
POST
/v1/:WSID/:version/profiles/:distinct_id/channel/delete
$curl -X POST https://api.fyno.io/v1/FYXXXXXXXX/live/profiles/XXXXXXXX/channel/delete \
> -H "Authorization: Bearer <apiKey>" \
> -H "Content-Type: application/json" \
> -d '{
> "channel": [
> "sms",
> "whatsapp",
> "email",
> "slack",
> "discord",
> "teams",
> "voice",
> "push",
> "inapp"
> ]
>}'
1{
2 "_message": "Channel has been modified successfully",
3 "status": "ok"
4}
This API enables you to delete existing data for all channels. You can use either of the following approaches&#58;<br/><br/>- **Option 1&#58;** Use the `channel` key in the payload to delete all tokens in the specified channel.<br/>- **Option 2&#58;** Use the `push` and `inapp` keys in the payload to delete specific tokens in these channels.<br/><br/>**Note&#58;** You can use either option 1 or option 2. It is not allowed to use both approaches in one request.
Was this page helpful?
Previous

Delete user profile

Next
Built with

This API enables you to delete existing data for all channels. You can use either of the following approaches:

- Option 1: Use the channel key in the payload to delete all tokens in the specified channel.
- Option 2: Use the push and inapp keys in the payload to delete specific tokens in these channels.

Note: You can use either option 1 or option 2. It is not allowed to use both approaches in one request.

Authentication

AuthorizationBearer
Enter your API Key. If you don't have it already, you can create one from the API Keys page within your Fyno account

Path parameters

WSIDstringRequired
Enter your workspace ID. You can obtain this value from the API Keys page within your Fyno account.
versionenumRequiredDefaults to live
Specify the version for which you would like to manage the user profile.
Allowed values:
distinct_idstringRequired
Enter the distinct ID that you currently use to identify the user.

Request

This endpoint expects an object.
objectRequired
OR
objectRequired

Response

Profile updated successfully
_messagestring
statusstring

Errors

400
Bad Request Error
401
Unauthorized Error